<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('orden_produccions', function (Blueprint $table) {
            $table->integer('metros_requeridos')->default(0);
            $table->boolean('tela_reservada')->default(false);
        });
    }

    public function down(): void
    {
        Schema::table('orden_produccions', function (Blueprint $table) {
            $table->dropColumn(['metros_requeridos', 'tela_reservada']);
        });
    }
};